#include <iostream>

int main(){
        int N, K;
        int prvi, trenutni, ciljani;
        std::cin >> N >> K;

        std::cin >> trenutni;
        prvi = trenutni;
        for (int i = 1; i < N; i++){
                if (trenutni == K){
                        std::cin >> trenutni;
                        ciljani = trenutni;
                } else {
                        std::cin >> trenutni;
                }
        }
        if (trenutni == K){
                ciljani = prvi;
        }
        std::cout << ciljani;

        return 0;
}